Top.Mail.Ru
Раз в неделю мы отправляем дайджест с самыми популярными статьями.

Как исправить ошибку "E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты" на Linux

Как исправить ошибку "E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты" на Linux
aleqsanbr~1 минут
Автор - Александръ Бѣликовъ (aleqsanbr)
Связаться с автором






Сегодня решил установить KDE Connect на свой Deepin, дабы обеспечить синхронизацию со смартфоном. Но не тут-то было. Терминал пишет: 

Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,

или же используете нестабильную версию дистрибутива, где запрошенные вами

пакеты ещё не созданы или были удалены из Incoming.

Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:

 kdeconnect : Зависит: plasma-workspace но он не будет установлен

E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Поискал в Яндексе, как это можно исправить. И вот что нашёл.

Для начал попробуйте ввести такую команду:

sudo apt-get -f install

Она попытается исправить все неудовлетворённые зависимости. Лично мне это не помогло. Пришлось действовать вручную. Выше, в отчёте, написано, что kdeconnect зависит от plasma-workspace. А почему бы не взять и не удовлетворить эту зависимость самостоятельно?

sudo apt install plasma-workspace

В моём случае оказалось, что и plasma-workspace зависит от какого-то пакета (название забыл). Таким же способом я попробовал установить и его. И, наконец-то, всё прошло без проблем. После этого я спокойно установил plasma-workspace и kdeconnect.


Друзья!
Проект «ИПМОБИТ» зовёт Вас к себе в гости. ИПМОБИТ - интересные и полезные материалы об IT с небольшим акцентом на Linux.